Bug 52724 - [Qt] svg/css/text-gradient-shadow.svg needs expected results
Summary: [Qt] svg/css/text-gradient-shadow.svg needs expected results
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: SVG (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Nobody
URL:
Keywords: Qt, QtTriaged
Depends on:
Blocks: 52531
  Show dependency treegraph
 
Reported: 2011-01-19 09:56 PST by Csaba Osztrogonác
Modified: 2011-01-21 03:15 PST (History)
7 users (show)

See Also:


Attachments
fail - png (39.19 KB, image/png)
2011-01-19 09:56 PST, Csaba Osztrogonác
no flags Details
Patch (49.33 KB, patch)
2011-01-20 19:17 PST, Helder Correia
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Csaba Osztrogonác 2011-01-19 09:56:51 PST
Created attachment 79440 [details]
fail - png

svg/css/text-gradient-shadow.svg introduced in http://trac.webkit.org/changeset/76029,
but fails on Qt, because the shadow should be color, but it is gray.

expected png: http://trac.webkit.org/browser/trunk/LayoutTests/platform/mac/svg/css/text-gradient-shadow-expected.png?rev=76029
fail png: <attached>
Comment 1 Helder Correia 2011-01-19 17:38:57 PST
(In reply to comment #0)
> svg/css/text-gradient-shadow.svg introduced in http://trac.webkit.org/changeset/76029,
> but fails on Qt, because the shadow should be color, but it is gray.

The Qt result image is actually correct (shadow must be black). I'll upload a patch with the Qt-specific pixel test soon.
Comment 2 Helder Correia 2011-01-20 19:12:39 PST
Can you please change the title of this bug to "[Qt] svg/css/text-gradient-shadow.svg needs expected results"?
Comment 3 Helder Correia 2011-01-20 19:17:12 PST
Created attachment 79682 [details]
Patch
Comment 4 Andreas Kling 2011-01-21 02:49:08 PST
Comment on attachment 79682 [details]
Patch

rs=me
Comment 5 WebKit Commit Bot 2011-01-21 03:14:59 PST
Comment on attachment 79682 [details]
Patch

Clearing flags on attachment: 79682

Committed r76338: <http://trac.webkit.org/changeset/76338>
Comment 6 WebKit Commit Bot 2011-01-21 03:15:05 PST
All reviewed patches have been landed.  Closing bug.